
ChiliProject - Bug # 1090: List of saved queries is not accessible outside of a project

Status: Closed Priority: Normal
Author: Hudson Santos Category: Issue tracking
Created: 2012-07-23 Assignee: Holger Just
Updated: 2013-01-06 Due date:
Remote issue URL:
Affected version: 3.3.0
Description: As you can see (screenshot idealmente.png), in ChiliProject 3.0.0.11e93ff36 (MySQL) there are buttons of my 

saved queries appearing on */issues* page(general issues for all projects under chiliproject environment).

But, in ChiliProject 3.3.0 (MySQL) this feature disappeared..(screenshot com_problema.png)

Is it a new feature?

I can still access this feature using an URL parameter like http://my_domain.com.br:3000/issues?query_id=1 
but this is not user friendly cause buttons disappeared.

Sincerely,

Associated revisions
2012-08-20 06:48 pm - Holger Just 
Display sidebar queries outside of a project #1090

History
2012-07-23 09:53 pm - Holger Just
- Assignee set to Holger Just

- Target version set to 3.4.0

I can confirm the issue. It was "introduced" in commit:277815ec963d3bf0f8d8f962e5bcb806e01ee938. In project pages, the saved queries are available 
in the sidebar menu. Unfortunately we don't have such a menu outside of a project. For the special case, I think we can at least keep the old rendering.

Thanks for reporting.

2012-07-24 02:43 pm - Holger Just
- Subject changed from An important feature disappeared to List of saved queries is not accessible outside of a project

2012-08-20 06:52 pm - Holger Just
- Status changed from Open to Closed

In commit:d63d2d2 we re-introduce the queries in the sidebar when outside of any project, i.e., in an environment where we don't have a project menu 
available.

2012-09-24 08:58 pm - Hudson Santos
@Holger Just,

We thank you very much.
That's working.
Today we have commited our internal ChiliProject and that's working fine.

Regards,

2013-01-06 10:55 pm - Holger Just
- Tracker changed from Feature to Bug
